import 'react-native-gesture-handler'
import { NativeBaseProvider } from "native-base"
import { Provider } from "react-redux"
import { store, Persistor } from "./src/stores/store"
import Navigation from "./src/pages/Navigation"
import { nativeBaseTheme } from "./src/theme/nativeBaseTheme"
import { PersistGate } from 'redux-persist/integration/react'

export default function App() {
    return (
        <Provider store={ store }>
            <PersistGate persistor={Persistor}>
                <NativeBaseProvider theme={ nativeBaseTheme }>
                    <Navigation/>
                </NativeBaseProvider>
            </PersistGate>
        </Provider>
    )
}
